Authorization: Bearer ********************{
"title": "string",
"description": "string",
"startsAt": "2019-08-24T14:15:22.123Z",
"endsAt": "2019-08-24T14:15:22.123Z",
"capacity": 0,
"minAttendeesToConfirm": 0,
"confirmationDeadline": "2019-08-24T14:15:22.123Z",
"bookingMode": "string",
"pricePerSlotCents": 0,
"staffMemberIds": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"collectPaymentOnline": true
}curl --location --request PATCH 'https://prod.your-api-server.com/events/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"title": "string",
"description": "string",
"startsAt": "2019-08-24T14:15:22.123Z",
"endsAt": "2019-08-24T14:15:22.123Z",
"capacity": 0,
"minAttendeesToConfirm": 0,
"confirmationDeadline": "2019-08-24T14:15:22.123Z",
"bookingMode": "string",
"pricePerSlotCents": 0,
"staffMemberIds": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"collectPaymentOnline": true
}'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"businessLocationId": "84527a82-7de9-4552-9101-e217e0c1ba3a",
"reservableVariantId": "9690f75d-e491-408d-adc6-ca59c38a215c",
"staffMemberIds": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"formTemplateIds": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"title": "string",
"description": "string",
"startsAt": "2019-08-24T14:15:22.123Z",
"endsAt": "2019-08-24T14:15:22.123Z",
"capacity": 0,
"minAttendeesToConfirm": 0,
"confirmationDeadline": "2019-08-24T14:15:22.123Z",
"bookingMode": "string",
"status": "string",
"pricePerSlotCents": 0,
"collectPaymentOnline": true,
"isTicketed": true,
"refundPolicy": "string",
"isCharitable501c3": true,
"maxTicketsPerCustomer": 0,
"redemptionGraceMinutes": 0,
"consumedSlots": 0,
"activeBookingCount": 0,
"createdAt": "2019-08-24T14:15:22.123Z",
"updatedAt": "2019-08-24T14:15:22.123Z"
}